//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PNG.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Enterprise
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Enterprise()
        {
            this.Role_Master = new HashSet<Role_Master>();
            this.States = new HashSet<State>();
            this.Zipcodes = new HashSet<Zipcode>();
            this.Pickup_Request = new HashSet<Pickup_Request>();
            this.Shipments = new HashSet<Shipment>();
        }
    
        public string applicationid { get; set; }
        public string enterpriseid { get; set; }
        public string enterprise_name { get; set; }
        public string contact_person { get; set; }
        public string contact_telephone { get; set; }
        public string address1 { get; set; }
        public string address2 { get; set; }
        public string country { get; set; }
        public Nullable<byte> wt_rounding_method { get; set; }
        public string zipcode { get; set; }
        public Nullable<decimal> wt_increment_amt { get; set; }
        public Nullable<decimal> free_insurance_amt { get; set; }
        public Nullable<decimal> max_insurance_amt { get; set; }
        public Nullable<decimal> insurance_percent_surcharge { get; set; }
        public Nullable<decimal> density_factor { get; set; }
        public string sat_delivery_avail { get; set; }
        public string sun_delivery_avail { get; set; }
        public string pub_delivery_avail { get; set; }
        public string sat_delivery_vas_code { get; set; }
        public string sun_delivery_vas_code { get; set; }
        public string pub_delivery_vas_code { get; set; }
        public string fax { get; set; }
        public string email { get; set; }
        public string apply_tax { get; set; }
        public Nullable<decimal> tax_percent { get; set; }
        public string tax_id { get; set; }
        public string currency { get; set; }
        public Nullable<int> currency_decimal { get; set; }
        public string enterprise_type { get; set; }
        public string sat_pickup_avail { get; set; }
        public string sat_pickup_vas_code { get; set; }
        public string sun_pickup_avail { get; set; }
        public string sun_pickup_vas_code { get; set; }
        public string pub_pickup_avail { get; set; }
        public string pub_pickup_vas_code { get; set; }
        public System.TimeSpan WD_Ends { get; set; }
        public Nullable<System.TimeSpan> SatWD_Ends { get; set; }
        public Nullable<System.TimeSpan> SunWD_Ends { get; set; }
        public Nullable<System.TimeSpan> PubWD_Ends { get; set; }
        public string SWB_DB_Name { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Role_Master> Role_Master { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<State> States { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Zipcode> Zipcodes { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Pickup_Request> Pickup_Request { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Shipment> Shipments { get; set; }
    }
}
